Difference between revisions of "XQDT XQuery Language Flavours and Vendor Grammar Extensions"

From Eclipsepedia

Jump to: navigation, search
 
Line 12: Line 12:
  
 
== XQuery Scripting Extension 1.0 ==
 
== XQuery Scripting Extension 1.0 ==
 +
 +
== XQuery 3.0 ==
  
  
Line 19: Line 21:
  
 
== Zorba Extensions ==
 
== Zorba Extensions ==
 +
  
 
[[Category:XQuery Development Tools]]
 
[[Category:XQuery Development Tools]]

Latest revision as of 07:07, 22 July 2010

Contents

[edit] Overview

This page contains the requirements needed in order to support different XQuery grammar levels (XQuery 1.0, XQuery 1.1, XQuery Update, XQuery Scripting) and different vendor extensions (MarkLogic, Zorba, IBM)

[edit] W3C Recommendations

[edit] XQuery 1.0

[edit] XQuery and XPath Full Text 1.0

[edit] XQuery Update Facility 1.0

[edit] XQuery Scripting Extension 1.0

[edit] XQuery 3.0

[edit] Vendor Extensions

[edit] MarkLogic Extensions

[edit] Zorba Extensions